IBPRINTSWITCH(8)

NAME
ibprintswitch.pl - print either the switch specified or a list of switches from the ibnetdiscover output

SYNOPSIS
ibprintswitch.pl [-R -l -C <ca_name> -P <ca_port>] [<switch_guid|switch_name>]

DESCRIPTION

Faster than greping/viewing with an editor the output of ibnetdiscover, ibprintswitch.pl will parse out and print either the switch information for the switch specified or a list of all the switches found in the subnet. In addition, it will crudely parse on the node description information and if found report all the information for an entire chasis if the description information is consistent. Finally, ibprintswitch.pl will also reuse the cached ibnetdiscover output from some of the other diag tools which makes it a bit faster than running ibnetdiscover from scratch.

OPTIONS

-l  List the switches (simply a wrapper for ibswitches).

-R  Recalculate the ibnetdiscover information, ie do not use the cached information. This option is slower but should be used if the diag tools have not been used for some time or if there are other reasons to believe that the fabric has changed.

-C <ca_name>    use the specified ca_name for the search.

-P <ca_port>    use the specified ca_port for the search.

AUTHORS

Ira Weiny
    <weiny2@llnl.gov>

Hal Rosenstock
    <halr@voltaire.com>